# Exit layout script if Firefox or Discord is open,
# i3 has been reloaded
pgrep firefox || pgrep Discord && exit 0

# Switch to workspace 1
i3-msg workspace 1
# Start up Firefox in the background
firefox &
# Give Firefox some time to start up
sleep 1

# Switch to workspace 2, load layout, and open blank space
i3-msg "workspace 2; append_layout @tree@; open"
# Move blank space to appropriate space,
# i3 layout files don't support blank space
for i in {1..4}; do
    i3-msg move left
done
# Start up Discord in the background
discord &
# Open YouTube for music
firefox --new-window https://youtube.com
# Go back to primary workspace
i3-msg workspace 1
